Loading...
Searching...
No Matches
tuntap_pdu.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2013 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_NETWORK_TUNTAP_PDU_H
#define INCLUDED_NETWORK_TUNTAP_PDU_H
#include <gnuradio/block.h>
#include <gnuradio/network/api.h>
namespace gr {
namespace network {
/*!
* \brief Creates TUNTAP interface and translates traffic to PDUs
* \ingroup networking_tools_blk
*/
class NETWORK_API tuntap_pdu : virtual public block
{
public:
// gr::network::tuntap_pdu::sptr
typedef std::shared_ptr<tuntap_pdu> sptr;
/*!
* \brief Construct a TUNTAP PDU interface
* \param dev Device name to create
* \param MTU Maximum Transmission Unit size
* \param istunflag Flag to indicate TUN or Tap
*/
static sptr make(std::string dev, int MTU = 10000, bool istunflag = false);
};
} /* namespace network */
} /* namespace gr */
#endif /* INCLUDED_NETWORK_TUNTAP_PDU_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::network::tuntap_pdu
Creates TUNTAP interface and translates traffic to PDUs.
Definition tuntap_pdu.h:25
gr::network::tuntap_pdu::make
static sptr make(std::string dev, int MTU=10000, bool istunflag=false)
Construct a TUNTAP PDU interface.
gr::network::tuntap_pdu::sptr
std::shared_ptr< tuntap_pdu > sptr
Definition tuntap_pdu.h:28
block.h
api.h
NETWORK_API
#define NETWORK_API
Definition gr-network/include/gnuradio/network/api.h:19
gr
GNU Radio logging wrapper.
Definition basic_block.h:29